Results
curl --request GET \
--url https://api.example.com/v1/crawl/{collection_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/crawl/{collection_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/crawl/{collection_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/crawl/{collection_id}/results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/crawl/{collection_id}/results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/crawl/{collection_id}/results")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/crawl/{collection_id}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"error": "<string>",
"index": 123,
"result": {
"assets": [
{
"asset_type": "<string>",
"context": "<string>",
"filename": "<string>",
"metadata": {
"alt": "<string>",
"height": 0,
"poster_url": "<string>",
"provider": "<string>",
"width": 0
},
"mimetype": "<string>",
"title": "",
"url": "<string>"
}
],
"branding": {
"colors": {
"accent": "<string>",
"action": "<string>",
"body": "<string>",
"heading": "<string>",
"link": "<string>",
"surface": "<string>"
},
"components": {
"input": {
"background": "<string>",
"border": "<string>",
"border_radius_px": 123,
"font_family": "<string>",
"font_size_px": 123,
"font_weight": 123,
"text": "<string>"
},
"primary_button": {
"background": "<string>",
"border": "<string>",
"border_radius_px": 123,
"font_family": "<string>",
"font_size_px": 123,
"font_weight": 123,
"text": "<string>"
},
"secondary_button": {
"background": "<string>",
"border": "<string>",
"border_radius_px": 123,
"font_family": "<string>",
"font_size_px": 123,
"font_weight": 123,
"text": "<string>"
}
},
"fonts": {
"body": "<string>",
"heading": "<string>"
},
"logo": {
"favicon": "<string>",
"primary": "<string>"
},
"spacing": {
"base_unit_px": 123,
"border_radius_px": 123
},
"typography": {
"body": {
"case": "<string>",
"fallback_family": "<string>",
"family": "<string>",
"size_px": 123,
"weight": 123
},
"h1": {
"case": "<string>",
"fallback_family": "<string>",
"family": "<string>",
"size_px": 123,
"weight": 123
},
"h2": {
"case": "<string>",
"fallback_family": "<string>",
"family": "<string>",
"size_px": 123,
"weight": 123
},
"h3": {
"case": "<string>",
"fallback_family": "<string>",
"family": "<string>",
"size_px": 123,
"weight": 123
}
}
},
"html": "<string>",
"json": {},
"links": [
{
"image_url": "<string>",
"internal": false,
"normalized_url": "<string>",
"text": "",
"title": "",
"type": "<string>",
"url": "<string>"
}
],
"markdown": "<string>",
"metadata": {
"author": "<string>",
"credits_used": 0,
"description": "<string>",
"final_url": "<string>",
"language": "<string>",
"page_id": 123,
"published_at": "<string>",
"request_id": 123,
"scrape_id": 123,
"source_url": "<string>",
"status_code": 123,
"title": "<string>"
},
"raw_html": "<string>",
"screenshot": "<string>",
"summary": "<string>"
},
"status": "pending",
"url": "<string>"
}
],
"next_cursor": 123
},
"message": "<string>",
"meta": {},
"request_id": "<string>",
"success": true
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}public
Results
Results
curl --request GET \
--url https://api.example.com/v1/crawl/{collection_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/crawl/{collection_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/crawl/{collection_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/crawl/{collection_id}/results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/crawl/{collection_id}/results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/crawl/{collection_id}/results")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/crawl/{collection_id}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"error": "<string>",
"index": 123,
"result": {
"assets": [
{
"asset_type": "<string>",
"context": "<string>",
"filename": "<string>",
"metadata": {
"alt": "<string>",
"height": 0,
"poster_url": "<string>",
"provider": "<string>",
"width": 0
},
"mimetype": "<string>",
"title": "",
"url": "<string>"
}
],
"branding": {
"colors": {
"accent": "<string>",
"action": "<string>",
"body": "<string>",
"heading": "<string>",
"link": "<string>",
"surface": "<string>"
},
"components": {
"input": {
"background": "<string>",
"border": "<string>",
"border_radius_px": 123,
"font_family": "<string>",
"font_size_px": 123,
"font_weight": 123,
"text": "<string>"
},
"primary_button": {
"background": "<string>",
"border": "<string>",
"border_radius_px": 123,
"font_family": "<string>",
"font_size_px": 123,
"font_weight": 123,
"text": "<string>"
},
"secondary_button": {
"background": "<string>",
"border": "<string>",
"border_radius_px": 123,
"font_family": "<string>",
"font_size_px": 123,
"font_weight": 123,
"text": "<string>"
}
},
"fonts": {
"body": "<string>",
"heading": "<string>"
},
"logo": {
"favicon": "<string>",
"primary": "<string>"
},
"spacing": {
"base_unit_px": 123,
"border_radius_px": 123
},
"typography": {
"body": {
"case": "<string>",
"fallback_family": "<string>",
"family": "<string>",
"size_px": 123,
"weight": 123
},
"h1": {
"case": "<string>",
"fallback_family": "<string>",
"family": "<string>",
"size_px": 123,
"weight": 123
},
"h2": {
"case": "<string>",
"fallback_family": "<string>",
"family": "<string>",
"size_px": 123,
"weight": 123
},
"h3": {
"case": "<string>",
"fallback_family": "<string>",
"family": "<string>",
"size_px": 123,
"weight": 123
}
}
},
"html": "<string>",
"json": {},
"links": [
{
"image_url": "<string>",
"internal": false,
"normalized_url": "<string>",
"text": "",
"title": "",
"type": "<string>",
"url": "<string>"
}
],
"markdown": "<string>",
"metadata": {
"author": "<string>",
"credits_used": 0,
"description": "<string>",
"final_url": "<string>",
"language": "<string>",
"page_id": 123,
"published_at": "<string>",
"request_id": 123,
"scrape_id": 123,
"source_url": "<string>",
"status_code": 123,
"title": "<string>"
},
"raw_html": "<string>",
"screenshot": "<string>",
"summary": "<string>"
},
"status": "pending",
"url": "<string>"
}
],
"next_cursor": 123
},
"message": "<string>",
"meta": {},
"request_id": "<string>",
"success": true
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}Authorizations
Send an active organization API key in the Authorization: Bearer header.
Path Parameters
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 20